• Русский
  • Project [auth.alauda.io/v1]

    This API is installed only when the chart is deployed for the global cluster. It is not available on workload clusters.

    Description
    Project is the Schema for the projects API
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    ProjectSpec defines the desired state of Project

    statusobject

    ProjectStatus defines the observed state of Project

    .spec

    Description
    ProjectSpec defines the desired state of Project
    Type
    object
    PropertyTypeDescription
    clusterDeletePolicystring
    clustersarray

    Clusters contains the clusters associated with this Project

    .spec.clusters

    Description
    Clusters contains the clusters associated with this Project
    Type
    array

    .spec.clusters[]

    Description
    ProjectClusters is the attribute for ProjectSpec
    Type
    object
    Required
    namequota
    PropertyTypeDescription
    namestring

    Name of the cluster

    quotaobject

    Quota store the quota info for Project

    typestring

    Type of the cluster

    .spec.clusters[].quota

    Description
    Quota store the quota info for Project
    Type
    object

    .status

    Description
    ProjectStatus defines the observed state of Project
    Type
    object
    PropertyTypeDescription
    conditionsarray
    phasestring

    Phase record the state of project

    reasonstring
    versionstring

    .status.conditions

    Type
    array

    .status.conditions[]

    Description
    ProjectCondition contains condition information for a cluster.
    Type
    object
    Required
    statustype
    PropertyTypeDescription
    lastTransitionTimestring

    LastTransitionTime is the last time the condition changed from one status to another.

    messagestring

    Message is a human-readable message indicating details about the last status change.

    projectNameSpaceDetailobject

    用来记录project同名命名空间详细信息

    reasonstring

    Reason is a (brief) reason for the condition's last status change.

    statusstring

    Status is the status of the condition. One of True, False, Unknown.

    typestring

    Type is the type of the cluster condition.

    .status.conditions[].projectNameSpaceDetail

    Description
    用来记录project同名命名空间详细信息
    Type
    object
    PropertyTypeDescription
    failedClustersobject
    namestring

    原始的项目名称,即要创建ns的名称

    successClustersobject

    .status.conditions[].projectNameSpaceDetail.failedClusters

    Type
    object

    .status.conditions[].projectNameSpaceDetail.successClusters

    Type
    object

    API Endpoints

    The following API endpoints are available:

    • /apis/auth.alauda.io/v1/projects
      • DELETE: delete collection of Project
      • GET: list objects of kind Project
      • POST: create a new Project
    • /apis/auth.alauda.io/v1/projects/{name}
      • DELETE: delete the specified Project
      • GET: read the specified Project
      • PATCH: partially update the specified Project
      • PUT: replace the specified Project
    • /apis/auth.alauda.io/v1/projects/{name}/status
      • GET: read status of the specified Project
      • PATCH: partially update status of the specified Project
      • PUT: replace status of the specified Project

    /apis/auth.alauda.io/v1/projects

    HTTP method
    DELETE
    Description
    delete collection of Project
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind Project
    HTTP responses
    HTTP codeResponse body
    200 - OKProjectList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new Project
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyProject schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKProject schema
    201 - CreatedProject schema
    202 - AcceptedProject schema
    401 - UnauthorizedEmpty

    /apis/auth.alauda.io/v1/projects/{name}

    HTTP method
    DELETE
    Description
    delete the specified Project
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified Project
    HTTP responses
    HTTP codeResponse body
    200 - OKProject schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified Project
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKProject schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified Project
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyProject schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKProject schema
    201 - CreatedProject schema
    401 - UnauthorizedEmpty

    /apis/auth.alauda.io/v1/projects/{name}/status

    HTTP method
    GET
    Description
    read status of the specified Project
    HTTP responses
    HTTP codeResponse body
    200 - OKProject schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified Project
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKProject schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified Project
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyProject schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKProject schema
    201 - CreatedProject schema
    401 - UnauthorizedEmpty